Mailinglist Archive: opensuse-updates (113 mails)

< Previous Next >
openSUSE-SU-2014:1588-1: moderate: Security update for flac
openSUSE Security Update: Security update for flac
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1588-1
Rating: moderate
References: #906831 #907016
Cross-References: CVE-2014-8962 CVE-2014-9028
Affected Products:
openSUSE 13.2
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

flac was updated to fix two security issues.

These security issues were fixed:
- Stack overflow may result in arbitrary code execution (CVE-2014-8962).
- Heap overflow via specially crafted .flac files (CVE-2014-9028).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2014-756

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-756

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-756

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

flac-1.3.0-4.4.1
flac-debuginfo-1.3.0-4.4.1
flac-debugsource-1.3.0-4.4.1
flac-devel-1.3.0-4.4.1
libFLAC++6-1.3.0-4.4.1
libFLAC++6-debuginfo-1.3.0-4.4.1
libFLAC8-1.3.0-4.4.1
libFLAC8-debuginfo-1.3.0-4.4.1

- openSUSE 13.2 (x86_64):

flac-devel-32bit-1.3.0-4.4.1
libFLAC++6-32bit-1.3.0-4.4.1
libFLAC++6-debuginfo-32bit-1.3.0-4.4.1
libFLAC8-32bit-1.3.0-4.4.1
libFLAC8-debuginfo-32bit-1.3.0-4.4.1

- openSUSE 13.1 (i586 x86_64):

flac-1.3.0-2.4.1
flac-debuginfo-1.3.0-2.4.1
flac-debugsource-1.3.0-2.4.1
flac-devel-1.3.0-2.4.1
libFLAC++6-1.3.0-2.4.1
libFLAC++6-debuginfo-1.3.0-2.4.1
libFLAC8-1.3.0-2.4.1
libFLAC8-debuginfo-1.3.0-2.4.1

- openSUSE 13.1 (x86_64):

flac-devel-32bit-1.3.0-2.4.1
libFLAC++6-32bit-1.3.0-2.4.1
libFLAC++6-debuginfo-32bit-1.3.0-2.4.1
libFLAC8-32bit-1.3.0-2.4.1
libFLAC8-debuginfo-32bit-1.3.0-2.4.1

- openSUSE 12.3 (i586 x86_64):

flac-1.2.1_git201212051942-3.4.1
flac-debuginfo-1.2.1_git201212051942-3.4.1
flac-debugsource-1.2.1_git201212051942-3.4.1
flac-devel-1.2.1_git201212051942-3.4.1
libFLAC++6-1.2.1_git201212051942-3.4.1
libFLAC++6-debuginfo-1.2.1_git201212051942-3.4.1
libFLAC8-1.2.1_git201212051942-3.4.1
libFLAC8-debuginfo-1.2.1_git201212051942-3.4.1

- openSUSE 12.3 (x86_64):

flac-devel-32bit-1.2.1_git201212051942-3.4.1
libFLAC++6-32bit-1.2.1_git201212051942-3.4.1
libFLAC++6-debuginfo-32bit-1.2.1_git201212051942-3.4.1
libFLAC8-32bit-1.2.1_git201212051942-3.4.1
libFLAC8-debuginfo-32bit-1.2.1_git201212051942-3.4.1


References:

http://support.novell.com/security/cve/CVE-2014-8962.html
http://support.novell.com/security/cve/CVE-2014-9028.html
https://bugzilla.suse.com/show_bug.cgi?id=906831
https://bugzilla.suse.com/show_bug.cgi?id=907016


< Previous Next >
This Thread
  • No further messages